from database.database import db

class LabelStudioProject(db.Model):
    __tablename__ = 'label_studio_project'
    
    project_id = db.Column(db.Integer, primary_key=True, unique=True)
    title = db.Column(db.String(255), nullable=False)
    
    def to_dict(self):
        return {
            'project_id': self.project_id,
            'title': self.title
        }
